Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.impl
Class DefaultDebugPageGenerator

    java.lang.Object
      org.directwebremoting.impl.DefaultDebugPageGenerator

All Implemented Interfaces:
  DebugPageGenerator

    public class DefaultDebugPageGenerator

extends java.lang.Object
implements DebugPageGenerator

A default implementation of TestPageGenerator

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Field Summary
`static java.lang.String` | `BLANK` Empty string

Constructor Summary
`DefaultDebugPageGenerator()`

Method Summary
`java.lang.String` | `generateEngineUrl(java.lang.String root)` Create a url that links to the engine.js file
`java.lang.String` | `generateIndexPage(java.lang.String root)` Generate some HTML that represents an index page
`java.lang.String` | `generateInterfaceUrl(java.lang.String root, java.lang.String scriptName)` For a given remoted class, generate a URL that will retrieve the Javascript interface
`java.lang.String` | `generateLibraryUrl(java.lang.String root, java.lang.String library)` Create a url that links to one of the library files
`java.lang.String` | `generateTestPage(java.lang.String root, java.lang.String scriptName)` Generate some HTML that represents a test page for a given script
`java.util.Collection` | `getAvailableLibraries()`
`void` | `setAccessControl(AccessControl accessControl)` Accessor for the security manager
`void` | `setConverterManager(ConverterManager converterManager)` Accessor for the DefaultCreatorManager that we configure
`void` | `setCreatorManager(CreatorManager creatorManager)` Accessor for the DefaultCreatorManager that we configure
`void` | `setEngineHandlerUrl(java.lang.String engineHandlerUrl)`
`void` | `setInterfaceHandlerUrl(java.lang.String interfaceHandlerUrl)` Setter for the URL that this handler available on
`void` | `setTestHandlerUrl(java.lang.String testHandlerUrl)`
`void` | `setUtilHandlerUrl(java.lang.String utilHandlerUrl)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLANK

    public static final java.lang.String BLANK

  Empty string

  See Also:
    Constant Field Values

Constructor Detail

### DefaultDebugPageGenerator

    public DefaultDebugPageGenerator()

Method Detail

### generateIndexPage

    public java.lang.String generateIndexPage(java.lang.String root)
                                       throws java.lang.SecurityException

  Description copied from interface: `DebugPageGenerator`
  Generate some HTML that represents an index page

  Specified by:
    `generateIndexPage` in interface `DebugPageGenerator`
  Parameters:
    `root` - The prefix common to all DWR URLs. Usually contextPath+servletPath
  Returns:
    An index page in HTML
  Throws:
    `java.lang.SecurityException` - If the pages are not accessible

### generateTestPage

    public java.lang.String generateTestPage(java.lang.String root,
                                             java.lang.String scriptName)
                                      throws java.lang.SecurityException

  Description copied from interface: `DebugPageGenerator`
  Generate some HTML that represents a test page for a given script

  Specified by:
    `generateTestPage` in interface `DebugPageGenerator`
  Parameters:
    `root` - The prefix common to all DWR URLs. Usually contextPath+servletPath
    `scriptName` - The script to generate for
  Returns:
    A test page in HTML
  Throws:
    `java.lang.SecurityException` - If the pages are not accessible

### generateInterfaceUrl

    public java.lang.String generateInterfaceUrl(java.lang.String root,
                                                 java.lang.String scriptName)

  Description copied from interface: `DebugPageGenerator`
  For a given remoted class, generate a URL that will retrieve the Javascript interface

  Specified by:
    `generateInterfaceUrl` in interface `DebugPageGenerator`
  Parameters:
    `root` - The prefix common to all DWR URLs. Usually contextPath+servletPath
    `scriptName` - The script to generate for
  Returns:
    A URL that points at the given scriptName

### generateEngineUrl

    public java.lang.String generateEngineUrl(java.lang.String root)

  Description copied from interface: `DebugPageGenerator`
  Create a url that links to the engine.js file

  Specified by:
    `generateEngineUrl` in interface `DebugPageGenerator`
  Parameters:
    `root` - The prefix common to all DWR URLs. Usually contextPath+servletPath
  Returns:
    A URL that points at the central engine Javascript file

### generateLibraryUrl

    public java.lang.String generateLibraryUrl(java.lang.String root,
                                               java.lang.String library)

  Description copied from interface: `DebugPageGenerator`
  Create a url that links to one of the library files

  Specified by:
    `generateLibraryUrl` in interface `DebugPageGenerator`
  Parameters:
    `root` - The prefix common to all DWR URLs. Usually contextPath+servletPath
    `library` - The name of a library as returned by `DebugPageGenerator.getAvailableLibraries()`
  Returns:
    A URL that points at the given library

### getAvailableLibraries

    public java.util.Collection getAvailableLibraries()

  Specified by:
    `getAvailableLibraries` in interface `DebugPageGenerator`
  Returns:
    A list of the available libraries.

### setConverterManager

    public void setConverterManager(ConverterManager converterManager)

  Accessor for the DefaultCreatorManager that we configure

  Parameters:
    `converterManager` - The new DefaultConverterManager

### setCreatorManager

    public void setCreatorManager(CreatorManager creatorManager)

  Accessor for the DefaultCreatorManager that we configure

  Parameters:
    `creatorManager` - The new DefaultConverterManager

### setAccessControl

    public void setAccessControl(AccessControl accessControl)

  Accessor for the security manager

  Parameters:
    `accessControl` - The accessControl to set.

### setEngineHandlerUrl

    public void setEngineHandlerUrl(java.lang.String engineHandlerUrl)

  Parameters:
    `engineHandlerUrl` - the engineHandlerUrl to set

### setUtilHandlerUrl

    public void setUtilHandlerUrl(java.lang.String utilHandlerUrl)

  Parameters:
    `utilHandlerUrl` - the utilHandlerUrl to set

### setTestHandlerUrl

    public void setTestHandlerUrl(java.lang.String testHandlerUrl)

  Parameters:
    `testHandlerUrl` - the testHandlerUrl to set

### setInterfaceHandlerUrl

    public void setInterfaceHandlerUrl(java.lang.String interfaceHandlerUrl)

  Setter for the URL that this handler available on

  Parameters:
    `interfaceHandlerUrl` - the interfaceHandlerUrl to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD